Bug 1261993 - darkplaces and darkplaces-quake downgraded with xonotic 0.8.1
darkplaces and darkplaces-quake downgraded with xonotic 0.8.1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xonotic (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-10 10:47 EDT by Bruno Wolff III
Modified: 2015-09-26 23:23 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.8.1-4.fc23 xonotic-0.8.1-4.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-23 00:08:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2015-09-10 10:47:29 EDT
Description of problem:
xonotic 0.8.1 requires darkplaces 20150113-1, but the latest version of darkplaces (from the 0.8 build) is 20150113-4. This is breaking xonotic updates on f22, f23 and rawhide. If you force the upgrade, you will get warnings on f22 and f23 about darkplaces updates being available.
Comment 1 Gwyn Ciesla 2015-09-10 11:33:59 EDT
I think this is a bug in the f22-updates-testing compose, I get the same error but the RPM names and provides and requires are all correct.

I filed a ticket with rel-eng.

https://fedorahosted.org/rel-eng/ticket/6248
Comment 2 Bruno Wolff III 2015-09-10 11:49:10 EDT
No, it is a packaging error. The main darkplaces version stayed the same during the update, but the release went from 4 to 1. Either the darkplaces version should have been updated or the release should have been increased or if the requirement didn't need for the darkplaces release to match exactly, only the version should have been checked on the requires.
Comment 3 Gwyn Ciesla 2015-09-10 11:54:47 EDT
Ah, I see.  I'll drop the release requirement.
Comment 4 Gwyn Ciesla 2015-09-10 15:42:06 EDT
Committed but having koji issues.  Will try rebuilding after a wait.
Comment 5 Gwyn Ciesla 2015-09-11 10:14:44 EDT
Still occurring, filed rel-eng ticket.

https://fedorahosted.org/rel-eng/ticket/6249
Comment 6 Fedora Update System 2015-09-17 21:29:46 EDT
xonotic-0.8.1-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16138
Comment 7 Fedora Update System 2015-09-17 21:32:49 EDT
xonotic-0.8.1-4.fc22 xonotic-data-0.8.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15191
Comment 8 Fedora Update System 2015-09-17 21:32:49 EDT
xonotic-0.8.1-4.fc22 xonotic-data-0.8.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15191
Comment 9 Fedora Update System 2015-09-18 20:20:52 EDT
xonotic-0.8.1-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update xonotic'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16138
Comment 10 Fedora Update System 2015-09-18 22:20:59 EDT
xonotic-0.8.1-4.fc22, xonotic-data-0.8.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update xonotic-data xonotic'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15191
Comment 11 Fedora Update System 2015-09-23 00:08:24 EDT
xonotic-0.8.1-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-09-26 23:22:59 EDT
xonotic-0.8.1-4.fc22, xonotic-data-0.8.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.